<?php
namespace app\workerapi\controller\shops;

use app\workerapi\controller\BaseApiController;
use app\workerapi\lists\shops\ShopGoodLists;
use app\workerapi\logic\shops\ShopGoodsLogic;
use app\workerapi\validate\shops\ShopGoodsValidate;

/**
 * 商城商品
 */
class GoodsController extends BaseApiController
{
    public function goodsList()
    {
        return $this->dataLists(new ShopGoodLists());
    }


    public function detail(){
        $params = (new ShopGoodsValidate())->goCheck('detail');
        $result = ShopGoodsLogic::detail($params);
        return $this->data($result);
    }
}